// 环境变量
import {environment} from '../../environments/environment';
// 请求接口
const HttpInterface = {
  // 注册接口
  register: '/api/manager/register',
  // 获取邮箱类型接口
  getEmailType: '/api/manager/emailType',
  // 登陆接口
  login: '/api/manager/login',
  // 发送验证码接口
  sendCode: '/api/manager/sendcode'
};

// tslint:disable-next-line:forin
for (const key in HttpInterface) {
  HttpInterface[key] = environment.apiServer + HttpInterface[key];
}
console.debug(HttpInterface);
export {HttpInterface};
