import {Component, OnInit} from '@angular/core';
import {MessageService} from './message.service';

@Component({
  selector: 'app-message',
  templateUrl: './message.component.html',
  styleUrls: ['./message.component.scss']
})
export class MessageComponent implements OnInit {

  message;

  constructor(
    private messageService: MessageService
  ) {
  }

  ngOnInit(): void {
    this.message = this.messageService;
  }

}
