import {Injectable} from '@angular/core';

@Injectable({
  providedIn: 'root'
})


export class MessageService {

  // 提示框信息
  // tslint:disable-next-line:variable-name
  private _message = null;
  // 提示框样式
  // tslint:disable-next-line:variable-name
  private _messageStyle;


  get message() {
    return this._message;
  }

  set message(value) {
    this._message = value;
  }

  get messageStyle() {
    return this._messageStyle;
  }

  set messageStyle(value) {
    this._messageStyle = value;
  }

  info(message: string) {
    this.messageStyle = 'info';
    this.message = message;
  }

  danger(message: string) {
    this.messageStyle = 'danger';
    this.message = message;
  }

  constructor() {
  }


}
