import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
// 登陆组件
import {LoginComponent} from '../login/login.component';
// 注册组件
import {RegisterComponent} from '../register/register.component';
// 重置密码组件
import {ResetpwdComponent} from '../resetpwd/resetpwd.component';
import {TranslateModule} from '@ngx-translate/core';
import {RouterModule} from '@angular/router';
import {ReactiveFormsModule} from '@angular/forms';
// 提示框组件
import {MessageComponent} from '../../message/message.component';
import {InputComponent} from '../../input/input.component';


/**
 * 账号管理模块
 */
@NgModule({
  declarations: [LoginComponent, RegisterComponent, ResetpwdComponent, MessageComponent, InputComponent],
  imports: [
    CommonModule,
    TranslateModule,
    RouterModule,
    ReactiveFormsModule,
  ]
})
export class AccountModule { }
