import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
// 论坛组件
import {ForumComponent} from '../forum.component';
import {TranslateModule} from '@ngx-translate/core';


/**
 * 论坛模块
 */
@NgModule({
  declarations: [ForumComponent],
  exports: [
    ForumComponent
  ],
  imports: [
    CommonModule,
    TranslateModule
  ]
})
export class ForumModule { }
